From: Mark Glines <mark@glines.org>

In http://seclists.org/lists/linux-kernel/2005/Mar/2703.html, I see that
you've included my patch to blacklist some of Measurement Computing's
PMD devices.  So, that ended up in 2.6.12.  I hate to be a pain, but is
it possible to back out this change?

There are several drivers for these devices.  There's 3 userspace
drivers I know of, some of which link against libusb (pmdtool, pmdlib),
one of which call ioctls on /dev/usb/hiddev* directly (PMD-1.5).
There's also at least one kernel driver (pmd_kernel), which is the
driver I've been toying with.

Signed-off-by: Vojtech Pavlik <vojtech@suse.cz>


Index: dmitry/drivers/usb/input/hid-core.c
===================================================================
--- dmitry.orig/drivers/usb/input/hid-core.c	2005-07-05 23:02:15.000000000 +0200
+++ dmitry/drivers/usb/input/hid-core.c	2005-07-05 23:04:50.000000000 +0200
@@ -1411,10 +1411,6 @@
 #define USB_DEVICE_ID_DELORME_EARTHMATE 0x0100
 #define USB_DEVICE_ID_DELORME_EM_LT20	0x0200
 
-#define USB_VENDOR_ID_MCC		0x09db
-#define USB_DEVICE_ID_MCC_PMD1024LS	0x0076
-#define USB_DEVICE_ID_MCC_PMD1208LS	0x007a
-
 #define USB_VENDOR_ID_CHICONY		0x04f2
 #define USB_DEVICE_ID_CHICONY_USBHUB_KB	0x0100
 
@@ -1462,8 +1458,6 @@
 	{ USB_VENDOR_ID_GRIFFIN, USB_DEVICE_ID_POWERMATE, HID_QUIRK_IGNORE },
 	{ USB_VENDOR_ID_GRIFFIN, USB_DEVICE_ID_SOUNDKNOB, HID_QUIRK_IGNORE },
 	{ USB_VENDOR_ID_KBGEAR, USB_DEVICE_ID_KBGEAR_JAMSTUDIO, HID_QUIRK_IGNORE },
-	{ USB_VENDOR_ID_MCC, USB_DEVICE_ID_MCC_PMD1024LS, HID_QUIRK_IGNORE },
-	{ USB_VENDOR_ID_MCC, USB_DEVICE_ID_MCC_PMD1208LS, HID_QUIRK_IGNORE },
 	{ USB_VENDOR_ID_MGE, USB_DEVICE_ID_MGE_UPS, HID_QUIRK_IGNORE },
 	{ USB_VENDOR_ID_MGE, USB_DEVICE_ID_MGE_UPS1, HID_QUIRK_IGNORE },
 	{ USB_VENDOR_ID_ONTRAK, USB_DEVICE_ID_ONTRAK_ADU100, HID_QUIRK_IGNORE },
